package com.zhiqiyun.open.core.enmus;


/**
 * @author jtoms
 */

public enum ConfigItemType implements IBaseEnum {
    /**
     *
     */
    string(1, "文本"), number(2, "数字"), bool(3, "布尔"), bstring(4, "多行文本");

    private final int value;
    private final String text;

    ConfigItemType(int value, String text) {
        this.value = value;
        this.text = text;
    }

    public String getText() {
        return text;
    }

    @Override
    public String getName() {
        return this.name();
    }

    @Override
    public Integer getValue() {
        return value;
    }
}
